> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.solvimon.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.solvimon.com/_mcp/server.

# Create a pricing plan subscription

POST https://test.api.solvimon.com/v{version}/pricing-plan-subscriptions
Content-Type: application/json

Requires the QUOTE.PRICING_PLAN_SUBSCRIPTION.CREATE or PRICING_PLAN_SUBSCRIPTION.CREATE permission. Which one depends on the requested type: QUOTE requires QUOTE.PRICING_PLAN_SUBSCRIPTION.CREATE; BILLING and TEMPLATE require PRICING_PLAN_SUBSCRIPTION.CREATE.

Reference: https://docs.solvimon.com/api-docs/configuration-api/pricing-plan-subscriptions/post-pricing-plan-subscriptions

## Authentication

- `X-API-KEY` header (required) — API Key authentication via header
- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://test.api.solvimon.com` (The TEST environment for our API, default)
- `https://api.solvimon.com` (The live environment for our API)

## Request

### Path parameters

- `version` (string, required, default: 1) — version

### Headers

- `x-platform-id` (string, optional) — Platform ID.

### Body (application/json)

This endpoint expects a PricingPlanSubscriptionCreateRequest.

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `created_at` (string, optional, nullable)
- `updated_at` (string, optional, nullable)
- `activated_at` (string, optional, nullable)
- `status` (enum, optional, nullable) — The status of the subscription.
  - Allowed values: `DRAFT`, `ACTIVE`, `VOID`, `ARCHIVED`, `CANCELLED`
- `reference` (string, optional)
- `name` (string, optional, nullable)
- `purchase_order_number` (string, optional, nullable) — The uniquely assigned purchase order number.
- `customer_id` (string, optional) — The ID of the customer.
- `customer_reference` (string, optional) — The reference of the customer.
- `customer` (Customer, optional, nullable)
- `billing_entity_id` (string, optional, nullable) — The resource ID of the billing entity that is assigned to the subscription. If not set, the default platform value will be taken.
- `billing_entity_reference` (string, optional, nullable) — The reference of the billing entity that is assigned to the subscription. If not set, the default platform value will be taken.
- `billing_entity` (BillingEntity, optional, nullable)
- `billing_period` (Period, optional) — The period of the invoice. If not set, the default (platform) value will be taken.
- `billing_currency` (enum, optional) — The alphabetic currency code representing the type of currency used for billing. If not set, the default (platform) value will be taken.
  - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UZS`, `VEF`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`
- `due_date_configuration` (DueDate, optional) — The configuration of the due date of the invoices in the subscriptions. If not set, the default (platform) value will be taken.
- `initial_term` (Period, optional) — The initial term for the agreement.
- `renewal_term` (Period, optional) — The renewal term after the initial term.
- `auto_renewal` (boolean, optional, nullable) — Indicates if the subscription renews automatically.
- `type` (enum, optional, nullable)
  - Allowed values: `QUOTE`, `BILLING`, `TEMPLATE`
- `variant` (enum, optional)
  - Allowed values: `DEFAULT`, `FORWARD_BILLING`, `SELF_BILLING`, `SELLER`
- `billing_time` (enum, optional, nullable) — The moment the invoices for the subscription should be created. If not set, the default platform value will be taken.
  - Allowed values: `EXACT`, `CALENDAR`
- `combine` (boolean, optional, nullable) — Indication whether invoices of different subscriptions should be combined, if possible. If not set, the default platform value will be taken.
- `quote_version_id` (string, optional, nullable) — The reference to the version of the quote where the subscription is linked to.
- `upgraded_from_pricing_plan_subscription_id` (string, optional, nullable) — The resource ID of the subscription that this subscription is upgraded from.
- `upgraded_to_pricing_plan_subscription_id` (string, optional, nullable) — The resource ID of the subscription that this subscription is upgraded to.
- `payment_acceptor_ids` (list of string, optional, nullable) — The resource ID(s) of the specific payment acceptors for the subscription
- `payment_acceptors` (list of PaymentAcceptor, optional, nullable)
- `pricing_plan_schedule_infos` (list of PricingPlanScheduleInfo, optional, nullable) — Pricing plan schedule infos linked to this subscription. Only the ACTIVE ones.
- `pending_review_pricing_plan_schedule_ids` (list of string, optional, nullable) — The resource IDs of the pricing plan schedules pending review, ordered by start_at.
- `description` (string, optional, nullable)
- `custom_fields` (list of CustomFieldValue, optional, nullable)
- `init_invoice_on_hold` (boolean, optional)
- `payment_method_id` (string, optional) — The ID of the payment method to be used to pay for invoices of this subscription.
- `pricing_plan_subscription_group_id` (string, optional, nullable) — The resource ID of the pricing plan subscription group where the subscription is part of
- `pricing_plan_subscription_group` (PricingPlanSubscriptionGroup, optional, nullable)
- `forward_customer_id` (string, optional, nullable) — The reference to the customer that needs to be used for the invoice (for FORWARD_BILLING)
- `forward_customer_reference` (string, optional, nullable) — The reference of the forward customer (for FORWARD_BILLING). An alternative to `forward_customer_id`.
- `forward_customer` (Customer, optional, nullable)
- `inactive_periods` (list of InactivePeriod, optional, nullable)
- `display_invoice_sub_lines_per_processing_only_customer` (boolean, optional, nullable)
- `replicate_meter_data_ingest_to_parent` (boolean, optional, nullable)
- `show_original_customer_invoice_line` (boolean, optional, nullable) — Show an invoice line per (child) customer on the invoice of the `forward_customer_id`. Defaults to the platform setting. Only supported for variant FORWARD_BILLING
- `show_tax_per_line_item` (boolean, optional, nullable) — Show the tax per line item on the invoice. When not provided or `true`, the tax is shown per invoice line. When `false`, the tax is only summarized (per tax rate) at the invoice total. This is a display only setting; the tax is always calculated per line item
- `sales_tax_percentage` (string, optional, nullable) — Sales tax for this subscription. If provided, it will override the tax for all items on the invoice. Mandatory for US to US billing when there's no external tax integration. Optional otherwise
- `next_invoice` (NextInvoice, optional, nullable)
- `template` (TemplatePricingPlanSubscription, optional) — The configuration fields that can be used when having a template subscription.
- `linked_integrations` (list of LinkedIntegration, optional, nullable)
- `seller_details` (SellerDetails, optional)

## Response

### 201

Created

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `created_at` (string, optional, nullable)
- `updated_at` (string, optional, nullable)
- `activated_at` (string, optional, nullable)
- `status` (enum, optional, nullable) — The status of the subscription.
  - Allowed values: `DRAFT`, `ACTIVE`, `VOID`, `ARCHIVED`, `CANCELLED`
- `reference` (string, optional)
- `name` (string, optional, nullable)
- `purchase_order_number` (string, optional, nullable) — The uniquely assigned purchase order number.
- `customer_id` (string, optional) — The ID of the customer.
- `customer_reference` (string, optional) — The reference of the customer.
- `customer` (Customer, optional, nullable)
- `billing_entity_id` (string, optional, nullable) — The resource ID of the billing entity that is assigned to the subscription. If not set, the default platform value will be taken.
- `billing_entity_reference` (string, optional, nullable) — The reference of the billing entity that is assigned to the subscription. If not set, the default platform value will be taken.
- `billing_entity` (BillingEntity, optional, nullable)
- `billing_period` (Period, optional) — The period of the invoice. If not set, the default (platform) value will be taken.
- `billing_currency` (enum, optional) — The alphabetic currency code representing the type of currency used for billing. If not set, the default (platform) value will be taken.
  - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UZS`, `VEF`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`
- `due_date_configuration` (DueDate, optional) — The configuration of the due date of the invoices in the subscriptions. If not set, the default (platform) value will be taken.
- `initial_term` (Period, optional) — The initial term for the agreement.
- `renewal_term` (Period, optional) — The renewal term after the initial term.
- `auto_renewal` (boolean, optional, nullable) — Indicates if the subscription renews automatically.
- `type` (enum, optional, nullable)
  - Allowed values: `QUOTE`, `BILLING`, `TEMPLATE`
- `variant` (enum, optional)
  - Allowed values: `DEFAULT`, `FORWARD_BILLING`, `SELF_BILLING`, `SELLER`
- `billing_time` (enum, optional, nullable) — The moment the invoices for the subscription should be created. If not set, the default platform value will be taken.
  - Allowed values: `EXACT`, `CALENDAR`
- `combine` (boolean, optional, nullable) — Indication whether invoices of different subscriptions should be combined, if possible. If not set, the default platform value will be taken.
- `quote_version_id` (string, optional, nullable) — The reference to the version of the quote where the subscription is linked to.
- `upgraded_from_pricing_plan_subscription_id` (string, optional, nullable) — The resource ID of the subscription that this subscription is upgraded from.
- `upgraded_to_pricing_plan_subscription_id` (string, optional, nullable) — The resource ID of the subscription that this subscription is upgraded to.
- `payment_acceptor_ids` (list of string, optional, nullable) — The resource ID(s) of the specific payment acceptors for the subscription
- `payment_acceptors` (list of PaymentAcceptor, optional, nullable)
- `pricing_plan_schedule_infos` (list of PricingPlanScheduleInfo, optional, nullable) — Pricing plan schedule infos linked to this subscription. Only the ACTIVE ones.
- `pending_review_pricing_plan_schedule_ids` (list of string, optional, nullable) — The resource IDs of the pricing plan schedules pending review, ordered by start_at.
- `description` (string, optional, nullable)
- `custom_fields` (list of CustomFieldValue, optional, nullable)
- `init_invoice_on_hold` (boolean, optional)
- `payment_method_id` (string, optional) — The ID of the payment method to be used to pay for invoices of this subscription.
- `pricing_plan_subscription_group_id` (string, optional, nullable) — The resource ID of the pricing plan subscription group where the subscription is part of
- `pricing_plan_subscription_group` (PricingPlanSubscriptionGroup, optional, nullable)
- `forward_customer_id` (string, optional, nullable) — The reference to the customer that needs to be used for the invoice (for FORWARD_BILLING)
- `forward_customer_reference` (string, optional, nullable) — The reference of the forward customer (for FORWARD_BILLING). An alternative to `forward_customer_id`.
- `forward_customer` (Customer, optional, nullable)
- `inactive_periods` (list of InactivePeriod, optional, nullable)
- `display_invoice_sub_lines_per_processing_only_customer` (boolean, optional, nullable)
- `replicate_meter_data_ingest_to_parent` (boolean, optional, nullable)
- `show_original_customer_invoice_line` (boolean, optional, nullable) — Show an invoice line per (child) customer on the invoice of the `forward_customer_id`. Defaults to the platform setting. Only supported for variant FORWARD_BILLING
- `show_tax_per_line_item` (boolean, optional, nullable) — Show the tax per line item on the invoice. When not provided or `true`, the tax is shown per invoice line. When `false`, the tax is only summarized (per tax rate) at the invoice total. This is a display only setting; the tax is always calculated per line item
- `sales_tax_percentage` (string, optional, nullable) — Sales tax for this subscription. If provided, it will override the tax for all items on the invoice. Mandatory for US to US billing when there's no external tax integration. Optional otherwise
- `next_invoice` (NextInvoice, optional, nullable)
- `template` (TemplatePricingPlanSubscription, optional) — The configuration fields that can be used when having a template subscription.
- `linked_integrations` (list of LinkedIntegration, optional, nullable)
- `seller_details` (SellerDetails, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `type` (enum, required)
  - Allowed values: `API_ERROR`, `INVALID_REQUEST`
- `code` (enum, required)
  - Allowed values: `RESOURCE_NOT_FOUND`, `RESOURCES_NOT_FOUND`, `UNABLE_TO_PROCESS_INSTRUCTIONS`, `BAD_REQUEST`, `UNSUPPORTED_MEDIA_TYPE`, `RESOURCE_ALREADY_EXISTS`, `CUSTOM_FIELD_VALUE_ALREADY_EXISTS`, `COULD_NOT_CREATE_RESOURCE`, `COULD_NOT_UPDATE_RESOURCE`, `COULD_NOT_DELETE_RESOURCE`, `MISSING_VERSION`, `UNSUPPORTED_VERSION`, `UNAUTHORISED`, `CUSTOMER_NOT_FOUND`, `PLATFORM_NOT_FOUND`, `PRICING_PLAN_NOT_FOUND`, `PRODUCT_NOT_FOUND`, `PRODUCT_ITEM_NOT_FOUND`, `PRICING_NOT_FOUND`, `PRICING_ITEM_NOT_FOUND`, `USER_NOT_FOUND`, `METER_NOT_FOUND`, `METER_VALUE_NOT_FOUND`, `METER_PROPERTY_NOT_FOUND`, `PRICING_ITEM_SUMMARIES_NOT_FOUND`, `MISSING_ID`, `INVALID_ID`, `MISSING_REFERENCE`, `MISSING_FIELD`, `INVALID_FIELD`, `INVALID_OPERATION`, `INTERNAL_ERROR`, `USER_NOT_ALLOWED`, `IDEMPOTENCY_CHECK_FAILED`, `INVALID_REQUEST`
- `message` (string, required)
- `field` (string, optional, nullable)
- `resource_id` (string, optional, nullable)
- `resource_type` (enum, optional, nullable)
  - Allowed values: `CUSTOMER`, `CUSTOM_FIELD`, `PLATFORM`, `PLATFORM_UPTODATE`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_PROPERTY_VARIABLE`, `METER_VALUE_CALCULATION`, `INGEST_DATA`, `METER_DATA`, `CHARGE_DATA`, `PERSIST_DATA`, `ADJUSTMENT_DATA`, `PRODUCT_CATEGORY`, `PRODUCT`, `PRODUCT_ITEM`, `PRICING`, `PRICING_GROUP`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SUBSCRIPTION_GROUP`, `PRICING_PLAN_SCHEDULE`, `SEAT_ASSIGNMENT`, `SHIPPING_ADDRESS`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_GROUP`, `QUOTE`, `QUOTE_VERSION`, `QUOTE_TEMPLATE`, `QUOTE_VERSION_SUMMARY`, `API_KEY`, `USER`, `ROLE`, `PROXY_USER`, `EXTERNAL_CREDENTIALS`, `TOKEN`, `INVOICE`, `E_INVOICE`, `PDF`, `BILLING_ENTITY`, `FEATURE`, `MEMBERSHIP`, `PAYMENT`, `PAYMENT_ACCEPTOR`, `PAYMENT_METHOD`, `PAYMENT_METHOD_OPTIONS`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `INTEGRATION`, `WEBHOOK`, `WEBHOOK_EVENT`, `FILE`, `FILE_PROCESSING_SETTINGS`, `TEAM`, `DOWNLOAD_URL`, `CSV_REPORT`, `REPORT`, `REPORT_GENERATE_REQUEST`, `REPORT_CONFIGURATION`, `REPORT_SUBSCRIPTION`, `REPORT_DEFINITION`, `ACCOUNT_GROUP`, `ENTITY`, `EVENT_TRACE`, `EVENT_TRACE_LINK`, `PRICING_CATEGORY`, `CONTACT`, `ALERT_RULE`, `ALERT`, `USAGE_LIMIT`, `AUDIT_RECORD`, `PORTAL_URL`, `AUTHENTICATION_PROVIDER`, `REPROCESS`, `APPROVAL_POLICY`, `APPROVAL_REQUEST`, `BULK_ACTION`, `COUPON`, `PROMOTION_CODE`, `WALLET`, `WALLET_TYPE`, `WALLET_GRANT`, `AUTO_TOPUP_CONFIG`, `WORKFLOW`, `WORKFLOW_TRIGGER`, `WORKFLOW_ACTION`, `WORKFLOW_ACTION_EXECUTION`, `CREDIT_TYPE`, `SIGNATURE_REQUEST`, `ATTACHMENT`, `DOCUMENT`, `EXCHANGE_RATE`

### 401 Unauthorized Error

Unauthorized

- `type` (enum, required)
  - Allowed values: `API_ERROR`, `INVALID_REQUEST`
- `code` (enum, required)
  - Allowed values: `RESOURCE_NOT_FOUND`, `RESOURCES_NOT_FOUND`, `UNABLE_TO_PROCESS_INSTRUCTIONS`, `BAD_REQUEST`, `UNSUPPORTED_MEDIA_TYPE`, `RESOURCE_ALREADY_EXISTS`, `CUSTOM_FIELD_VALUE_ALREADY_EXISTS`, `COULD_NOT_CREATE_RESOURCE`, `COULD_NOT_UPDATE_RESOURCE`, `COULD_NOT_DELETE_RESOURCE`, `MISSING_VERSION`, `UNSUPPORTED_VERSION`, `UNAUTHORISED`, `CUSTOMER_NOT_FOUND`, `PLATFORM_NOT_FOUND`, `PRICING_PLAN_NOT_FOUND`, `PRODUCT_NOT_FOUND`, `PRODUCT_ITEM_NOT_FOUND`, `PRICING_NOT_FOUND`, `PRICING_ITEM_NOT_FOUND`, `USER_NOT_FOUND`, `METER_NOT_FOUND`, `METER_VALUE_NOT_FOUND`, `METER_PROPERTY_NOT_FOUND`, `PRICING_ITEM_SUMMARIES_NOT_FOUND`, `MISSING_ID`, `INVALID_ID`, `MISSING_REFERENCE`, `MISSING_FIELD`, `INVALID_FIELD`, `INVALID_OPERATION`, `INTERNAL_ERROR`, `USER_NOT_ALLOWED`, `IDEMPOTENCY_CHECK_FAILED`, `INVALID_REQUEST`
- `message` (string, required)
- `field` (string, optional, nullable)
- `resource_id` (string, optional, nullable)
- `resource_type` (enum, optional, nullable)
  - Allowed values: `CUSTOMER`, `CUSTOM_FIELD`, `PLATFORM`, `PLATFORM_UPTODATE`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_PROPERTY_VARIABLE`, `METER_VALUE_CALCULATION`, `INGEST_DATA`, `METER_DATA`, `CHARGE_DATA`, `PERSIST_DATA`, `ADJUSTMENT_DATA`, `PRODUCT_CATEGORY`, `PRODUCT`, `PRODUCT_ITEM`, `PRICING`, `PRICING_GROUP`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SUBSCRIPTION_GROUP`, `PRICING_PLAN_SCHEDULE`, `SEAT_ASSIGNMENT`, `SHIPPING_ADDRESS`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_GROUP`, `QUOTE`, `QUOTE_VERSION`, `QUOTE_TEMPLATE`, `QUOTE_VERSION_SUMMARY`, `API_KEY`, `USER`, `ROLE`, `PROXY_USER`, `EXTERNAL_CREDENTIALS`, `TOKEN`, `INVOICE`, `E_INVOICE`, `PDF`, `BILLING_ENTITY`, `FEATURE`, `MEMBERSHIP`, `PAYMENT`, `PAYMENT_ACCEPTOR`, `PAYMENT_METHOD`, `PAYMENT_METHOD_OPTIONS`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `INTEGRATION`, `WEBHOOK`, `WEBHOOK_EVENT`, `FILE`, `FILE_PROCESSING_SETTINGS`, `TEAM`, `DOWNLOAD_URL`, `CSV_REPORT`, `REPORT`, `REPORT_GENERATE_REQUEST`, `REPORT_CONFIGURATION`, `REPORT_SUBSCRIPTION`, `REPORT_DEFINITION`, `ACCOUNT_GROUP`, `ENTITY`, `EVENT_TRACE`, `EVENT_TRACE_LINK`, `PRICING_CATEGORY`, `CONTACT`, `ALERT_RULE`, `ALERT`, `USAGE_LIMIT`, `AUDIT_RECORD`, `PORTAL_URL`, `AUTHENTICATION_PROVIDER`, `REPROCESS`, `APPROVAL_POLICY`, `APPROVAL_REQUEST`, `BULK_ACTION`, `COUPON`, `PROMOTION_CODE`, `WALLET`, `WALLET_TYPE`, `WALLET_GRANT`, `AUTO_TOPUP_CONFIG`, `WORKFLOW`, `WORKFLOW_TRIGGER`, `WORKFLOW_ACTION`, `WORKFLOW_ACTION_EXECUTION`, `CREDIT_TYPE`, `SIGNATURE_REQUEST`, `ATTACHMENT`, `DOCUMENT`, `EXCHANGE_RATE`

### 403 Forbidden Error

Forbidden

- `type` (enum, required)
  - Allowed values: `API_ERROR`, `INVALID_REQUEST`
- `code` (enum, required)
  - Allowed values: `RESOURCE_NOT_FOUND`, `RESOURCES_NOT_FOUND`, `UNABLE_TO_PROCESS_INSTRUCTIONS`, `BAD_REQUEST`, `UNSUPPORTED_MEDIA_TYPE`, `RESOURCE_ALREADY_EXISTS`, `CUSTOM_FIELD_VALUE_ALREADY_EXISTS`, `COULD_NOT_CREATE_RESOURCE`, `COULD_NOT_UPDATE_RESOURCE`, `COULD_NOT_DELETE_RESOURCE`, `MISSING_VERSION`, `UNSUPPORTED_VERSION`, `UNAUTHORISED`, `CUSTOMER_NOT_FOUND`, `PLATFORM_NOT_FOUND`, `PRICING_PLAN_NOT_FOUND`, `PRODUCT_NOT_FOUND`, `PRODUCT_ITEM_NOT_FOUND`, `PRICING_NOT_FOUND`, `PRICING_ITEM_NOT_FOUND`, `USER_NOT_FOUND`, `METER_NOT_FOUND`, `METER_VALUE_NOT_FOUND`, `METER_PROPERTY_NOT_FOUND`, `PRICING_ITEM_SUMMARIES_NOT_FOUND`, `MISSING_ID`, `INVALID_ID`, `MISSING_REFERENCE`, `MISSING_FIELD`, `INVALID_FIELD`, `INVALID_OPERATION`, `INTERNAL_ERROR`, `USER_NOT_ALLOWED`, `IDEMPOTENCY_CHECK_FAILED`, `INVALID_REQUEST`
- `message` (string, required)
- `field` (string, optional, nullable)
- `resource_id` (string, optional, nullable)
- `resource_type` (enum, optional, nullable)
  - Allowed values: `CUSTOMER`, `CUSTOM_FIELD`, `PLATFORM`, `PLATFORM_UPTODATE`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_PROPERTY_VARIABLE`, `METER_VALUE_CALCULATION`, `INGEST_DATA`, `METER_DATA`, `CHARGE_DATA`, `PERSIST_DATA`, `ADJUSTMENT_DATA`, `PRODUCT_CATEGORY`, `PRODUCT`, `PRODUCT_ITEM`, `PRICING`, `PRICING_GROUP`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SUBSCRIPTION_GROUP`, `PRICING_PLAN_SCHEDULE`, `SEAT_ASSIGNMENT`, `SHIPPING_ADDRESS`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_GROUP`, `QUOTE`, `QUOTE_VERSION`, `QUOTE_TEMPLATE`, `QUOTE_VERSION_SUMMARY`, `API_KEY`, `USER`, `ROLE`, `PROXY_USER`, `EXTERNAL_CREDENTIALS`, `TOKEN`, `INVOICE`, `E_INVOICE`, `PDF`, `BILLING_ENTITY`, `FEATURE`, `MEMBERSHIP`, `PAYMENT`, `PAYMENT_ACCEPTOR`, `PAYMENT_METHOD`, `PAYMENT_METHOD_OPTIONS`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `INTEGRATION`, `WEBHOOK`, `WEBHOOK_EVENT`, `FILE`, `FILE_PROCESSING_SETTINGS`, `TEAM`, `DOWNLOAD_URL`, `CSV_REPORT`, `REPORT`, `REPORT_GENERATE_REQUEST`, `REPORT_CONFIGURATION`, `REPORT_SUBSCRIPTION`, `REPORT_DEFINITION`, `ACCOUNT_GROUP`, `ENTITY`, `EVENT_TRACE`, `EVENT_TRACE_LINK`, `PRICING_CATEGORY`, `CONTACT`, `ALERT_RULE`, `ALERT`, `USAGE_LIMIT`, `AUDIT_RECORD`, `PORTAL_URL`, `AUTHENTICATION_PROVIDER`, `REPROCESS`, `APPROVAL_POLICY`, `APPROVAL_REQUEST`, `BULK_ACTION`, `COUPON`, `PROMOTION_CODE`, `WALLET`, `WALLET_TYPE`, `WALLET_GRANT`, `AUTO_TOPUP_CONFIG`, `WORKFLOW`, `WORKFLOW_TRIGGER`, `WORKFLOW_ACTION`, `WORKFLOW_ACTION_EXECUTION`, `CREDIT_TYPE`, `SIGNATURE_REQUEST`, `ATTACHMENT`, `DOCUMENT`, `EXCHANGE_RATE`

### 409 Conflict Error

Conflict

- `type` (enum, required)
  - Allowed values: `API_ERROR`, `INVALID_REQUEST`
- `code` (enum, required)
  - Allowed values: `RESOURCE_NOT_FOUND`, `RESOURCES_NOT_FOUND`, `UNABLE_TO_PROCESS_INSTRUCTIONS`, `BAD_REQUEST`, `UNSUPPORTED_MEDIA_TYPE`, `RESOURCE_ALREADY_EXISTS`, `CUSTOM_FIELD_VALUE_ALREADY_EXISTS`, `COULD_NOT_CREATE_RESOURCE`, `COULD_NOT_UPDATE_RESOURCE`, `COULD_NOT_DELETE_RESOURCE`, `MISSING_VERSION`, `UNSUPPORTED_VERSION`, `UNAUTHORISED`, `CUSTOMER_NOT_FOUND`, `PLATFORM_NOT_FOUND`, `PRICING_PLAN_NOT_FOUND`, `PRODUCT_NOT_FOUND`, `PRODUCT_ITEM_NOT_FOUND`, `PRICING_NOT_FOUND`, `PRICING_ITEM_NOT_FOUND`, `USER_NOT_FOUND`, `METER_NOT_FOUND`, `METER_VALUE_NOT_FOUND`, `METER_PROPERTY_NOT_FOUND`, `PRICING_ITEM_SUMMARIES_NOT_FOUND`, `MISSING_ID`, `INVALID_ID`, `MISSING_REFERENCE`, `MISSING_FIELD`, `INVALID_FIELD`, `INVALID_OPERATION`, `INTERNAL_ERROR`, `USER_NOT_ALLOWED`, `IDEMPOTENCY_CHECK_FAILED`, `INVALID_REQUEST`
- `message` (string, required)
- `field` (string, optional, nullable)
- `resource_id` (string, optional, nullable)
- `resource_type` (enum, optional, nullable)
  - Allowed values: `CUSTOMER`, `CUSTOM_FIELD`, `PLATFORM`, `PLATFORM_UPTODATE`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_PROPERTY_VARIABLE`, `METER_VALUE_CALCULATION`, `INGEST_DATA`, `METER_DATA`, `CHARGE_DATA`, `PERSIST_DATA`, `ADJUSTMENT_DATA`, `PRODUCT_CATEGORY`, `PRODUCT`, `PRODUCT_ITEM`, `PRICING`, `PRICING_GROUP`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SUBSCRIPTION_GROUP`, `PRICING_PLAN_SCHEDULE`, `SEAT_ASSIGNMENT`, `SHIPPING_ADDRESS`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_GROUP`, `QUOTE`, `QUOTE_VERSION`, `QUOTE_TEMPLATE`, `QUOTE_VERSION_SUMMARY`, `API_KEY`, `USER`, `ROLE`, `PROXY_USER`, `EXTERNAL_CREDENTIALS`, `TOKEN`, `INVOICE`, `E_INVOICE`, `PDF`, `BILLING_ENTITY`, `FEATURE`, `MEMBERSHIP`, `PAYMENT`, `PAYMENT_ACCEPTOR`, `PAYMENT_METHOD`, `PAYMENT_METHOD_OPTIONS`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `INTEGRATION`, `WEBHOOK`, `WEBHOOK_EVENT`, `FILE`, `FILE_PROCESSING_SETTINGS`, `TEAM`, `DOWNLOAD_URL`, `CSV_REPORT`, `REPORT`, `REPORT_GENERATE_REQUEST`, `REPORT_CONFIGURATION`, `REPORT_SUBSCRIPTION`, `REPORT_DEFINITION`, `ACCOUNT_GROUP`, `ENTITY`, `EVENT_TRACE`, `EVENT_TRACE_LINK`, `PRICING_CATEGORY`, `CONTACT`, `ALERT_RULE`, `ALERT`, `USAGE_LIMIT`, `AUDIT_RECORD`, `PORTAL_URL`, `AUTHENTICATION_PROVIDER`, `REPROCESS`, `APPROVAL_POLICY`, `APPROVAL_REQUEST`, `BULK_ACTION`, `COUPON`, `PROMOTION_CODE`, `WALLET`, `WALLET_TYPE`, `WALLET_GRANT`, `AUTO_TOPUP_CONFIG`, `WORKFLOW`, `WORKFLOW_TRIGGER`, `WORKFLOW_ACTION`, `WORKFLOW_ACTION_EXECUTION`, `CREDIT_TYPE`, `SIGNATURE_REQUEST`, `ATTACHMENT`, `DOCUMENT`, `EXCHANGE_RATE`

### 500 Internal Server Error

Internal Server Error

- `type` (enum, required)
  - Allowed values: `API_ERROR`, `INVALID_REQUEST`
- `code` (enum, required)
  - Allowed values: `RESOURCE_NOT_FOUND`, `RESOURCES_NOT_FOUND`, `UNABLE_TO_PROCESS_INSTRUCTIONS`, `BAD_REQUEST`, `UNSUPPORTED_MEDIA_TYPE`, `RESOURCE_ALREADY_EXISTS`, `CUSTOM_FIELD_VALUE_ALREADY_EXISTS`, `COULD_NOT_CREATE_RESOURCE`, `COULD_NOT_UPDATE_RESOURCE`, `COULD_NOT_DELETE_RESOURCE`, `MISSING_VERSION`, `UNSUPPORTED_VERSION`, `UNAUTHORISED`, `CUSTOMER_NOT_FOUND`, `PLATFORM_NOT_FOUND`, `PRICING_PLAN_NOT_FOUND`, `PRODUCT_NOT_FOUND`, `PRODUCT_ITEM_NOT_FOUND`, `PRICING_NOT_FOUND`, `PRICING_ITEM_NOT_FOUND`, `USER_NOT_FOUND`, `METER_NOT_FOUND`, `METER_VALUE_NOT_FOUND`, `METER_PROPERTY_NOT_FOUND`, `PRICING_ITEM_SUMMARIES_NOT_FOUND`, `MISSING_ID`, `INVALID_ID`, `MISSING_REFERENCE`, `MISSING_FIELD`, `INVALID_FIELD`, `INVALID_OPERATION`, `INTERNAL_ERROR`, `USER_NOT_ALLOWED`, `IDEMPOTENCY_CHECK_FAILED`, `INVALID_REQUEST`
- `message` (string, required)
- `field` (string, optional, nullable)
- `resource_id` (string, optional, nullable)
- `resource_type` (enum, optional, nullable)
  - Allowed values: `CUSTOMER`, `CUSTOM_FIELD`, `PLATFORM`, `PLATFORM_UPTODATE`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_PROPERTY_VARIABLE`, `METER_VALUE_CALCULATION`, `INGEST_DATA`, `METER_DATA`, `CHARGE_DATA`, `PERSIST_DATA`, `ADJUSTMENT_DATA`, `PRODUCT_CATEGORY`, `PRODUCT`, `PRODUCT_ITEM`, `PRICING`, `PRICING_GROUP`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SUBSCRIPTION_GROUP`, `PRICING_PLAN_SCHEDULE`, `SEAT_ASSIGNMENT`, `SHIPPING_ADDRESS`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_GROUP`, `QUOTE`, `QUOTE_VERSION`, `QUOTE_TEMPLATE`, `QUOTE_VERSION_SUMMARY`, `API_KEY`, `USER`, `ROLE`, `PROXY_USER`, `EXTERNAL_CREDENTIALS`, `TOKEN`, `INVOICE`, `E_INVOICE`, `PDF`, `BILLING_ENTITY`, `FEATURE`, `MEMBERSHIP`, `PAYMENT`, `PAYMENT_ACCEPTOR`, `PAYMENT_METHOD`, `PAYMENT_METHOD_OPTIONS`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `INTEGRATION`, `WEBHOOK`, `WEBHOOK_EVENT`, `FILE`, `FILE_PROCESSING_SETTINGS`, `TEAM`, `DOWNLOAD_URL`, `CSV_REPORT`, `REPORT`, `REPORT_GENERATE_REQUEST`, `REPORT_CONFIGURATION`, `REPORT_SUBSCRIPTION`, `REPORT_DEFINITION`, `ACCOUNT_GROUP`, `ENTITY`, `EVENT_TRACE`, `EVENT_TRACE_LINK`, `PRICING_CATEGORY`, `CONTACT`, `ALERT_RULE`, `ALERT`, `USAGE_LIMIT`, `AUDIT_RECORD`, `PORTAL_URL`, `AUTHENTICATION_PROVIDER`, `REPROCESS`, `APPROVAL_POLICY`, `APPROVAL_REQUEST`, `BULK_ACTION`, `COUPON`, `PROMOTION_CODE`, `WALLET`, `WALLET_TYPE`, `WALLET_GRANT`, `AUTO_TOPUP_CONFIG`, `WORKFLOW`, `WORKFLOW_TRIGGER`, `WORKFLOW_ACTION`, `WORKFLOW_ACTION_EXECUTION`, `CREDIT_TYPE`, `SIGNATURE_REQUEST`, `ATTACHMENT`, `DOCUMENT`, `EXCHANGE_RATE`

## Types

### Customer

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `created_at` (string, optional, nullable)
- `parent_customer_id` (string, optional, nullable) — The parent of the customer. Only returned when there is a single parent.
- `parent_customer_ids` (list of string, optional, nullable) — A list of parents of the customer. Will also be returned if there is a single parent.
- `reference` (string, optional) — A custom reference assigned to the customer.
- `status` (enum, optional, nullable)
  - Allowed values: `DRAFT`, `ACTIVE`, `ARCHIVED`, `DEPRECATED`, `CLOSED`
- `timezone` (string, optional, nullable)
- `type` (enum, optional) — The type of customer entity.
  - Allowed values: `ORGANIZATION`, `INDIVIDUAL`
- `email` (string, optional, nullable) — The email of the customer.
- `notification_preferences` (list of NotificationPreference, optional, nullable) — Notification preferences for customer-related communications.
- `locale` (string, optional, nullable) — The locale of the customer. Format is language-country (like en-US).
- `individual` (Individual, optional) — Additional description of the individual customer type.
- `organization` (Organization, optional) — Additional description of the organization customer type.
- `custom_fields` (list of CustomFieldValue, optional, nullable)
- `pricing_plan_subscription_selector` (PricingPlanSubscriptionSelector, optional) — Settings to influence dynamically the subscription to use for the ingest data.
- `linked_integrations` (list of LinkedIntegration, optional, nullable)
- `roles` (list of enum, optional, nullable)
  - Allowed values: `DEFAULT`, `NON_PROCESSING`, `SELF_BILLING`, `SELLER`, `PROCESSING_ONLY`
- `seller_details` (CustomerSellerDetails, optional)
- `processing_only` (boolean, optional, nullable, deprecated)

### BillingEntity

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `created_at` (string, optional, nullable)
- `reference` (string, optional)
- `status` (string, optional, nullable)
- `timezone` (string, optional, nullable)
- `legal_name` (string, optional, nullable) — The legal name of the billing entity.
- `tax_id` (string, optional, nullable) — The ID used for tax purposes of the billing entity.
- `tax_ids` (list of TaxId, optional, nullable) — Tax IDs used for tax purposes of the billing entity
- `registration_number` (string, optional, nullable) — The registration number of the billing entity.
- `registered_address` (Address, optional) — The address associated with the billing entity.
- `email` (string, optional, nullable) — The email address of the billing entity.
- `tax_settings` (TaxSettings, optional) — Customise tax settings for this Billing Entity
- `tax_registrations` (list of TaxRegistration, optional, nullable) — Extra tax registrations for this billing entity
- `custom_fields` (list of CustomFieldValue, optional, nullable)
- `default_customer_country_selector` (list of enum, optional, nullable)
  - Allowed values: `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, `AT`, `AU`, `AW`, `AX`, `AZ`, `BA`, `BB`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BL`, `BM`, `BN`, `BO`, `BQ`, `BR`, `BS`, `BT`, `BV`, `BW`, `BY`, `BZ`, `CA`, `CC`, `CD`, `CF`, `CG`, `CH`, `CI`, `CK`, `CL`, `CM`, `CN`, `CO`, `CR`, `CU`, `CV`, `CW`, `CX`, `CY`, `CZ`, `DE`, `DJ`, `DK`, `DM`, `DO`, `DZ`, `EC`, `EE`, `EG`, `EH`, `ER`, `ES`, `ET`, `FI`, `FJ`, `FK`, `FM`, `FO`, `FR`, `GA`, `GB`, `GD`, `GE`, `GF`, `GG`, `GH`, `GI`, `GL`, `GM`, `GN`, `GP`, `GQ`, `GR`, `GS`, `GT`, `GU`, `GW`, `GY`, `HK`, `HM`, `HN`, `HR`, `HT`, `HU`, `ID`, `IE`, `IL`, `IM`, `IN`, `IO`, `IQ`, `IR`, `IS`, `IT`, `JE`, `JM`, `JO`, `JP`, `KE`, `KG`, `KH`, `KI`, `KM`, `KN`, `KP`, `KR`, `KW`, `KY`, `KZ`, `LA`, `LB`, `LC`, `LI`, `LK`, `LR`, `LS`, `LT`, `LU`, `LV`, `LY`, `MA`, `MC`, `MD`, `ME`, `MF`, `MG`, `MH`, `MK`, `ML`, `MM`, `MN`, `MO`, `MP`, `MQ`, `MR`, `MS`, `MT`, `MU`, `MV`, `MW`, `MX`, `MY`, `MZ`, `NA`, `NC`, `NE`, `NF`, `NG`, `NI`, `NL`, `NO`, `NP`, `NR`, `NU`, `NZ`, `OM`, `PA`, `PE`, `PF`, `PG`, `PH`, `PK`, `PL`, `PM`, `PN`, `PR`, `PS`, `PT`, `PW`, `PY`, `QA`, `RE`, `RO`, `RS`, `RU`, `RW`, `SA`, `SB`, `SC`, `SD`, `SE`, `SG`, `SH`, `SI`, `SJ`, `SK`, `SL`, `SM`, `SN`, `SO`, `SR`, `SS`, `ST`, `SV`, `SX`, `SY`, `SZ`, `TC`, `TD`, `TF`, `TG`, `TH`, `TJ`, `TK`, `TL`, `TM`, `TN`, `TO`, `TR`, `TT`, `TV`, `TW`, `TZ`, `UA`, `UG`, `US`, `UY`, `UZ`, `VA`, `VC`, `VE`, `VG`, `VI`, `VN`, `VU`, `WF`, `WS`, `YE`, `YT`, `ZA`, `ZM`, `ZW`
- `default_billing_currency_selector` (list of enum, optional, nullable)
  - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UZS`, `VEF`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`
- `linked_integrations` (list of LinkedIntegration, optional, nullable)

### Period

- `type` (enum, optional)
  - Allowed values: `DAY`, `WEEK`, `MONTH`, `YEAR`
- `value` (integer, optional, nullable)

### DueDate

- `type` (enum, optional, nullable)
  - Allowed values: `PERIOD_AFTER_INVOICE_DATE`, `END_OF_THE_MONTH`
- `period` (Period, optional)

### PaymentAcceptor

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `billing_entity_id` (string, optional, nullable) — Resource ID of type BILLING_ENTITY
- `customer_id` (string, optional, nullable) — Resource ID of type CUSTOMER
- `reference` (string, optional)
- `name` (string, optional, nullable)
- `description` (string, optional, nullable)
- `type` (enum, optional, nullable)
  - Allowed values: `BANK_ACCOUNT`, `PAYMENT_GATEWAY`, `CUSTOM_REDIRECT`
- `bank_account` (BankAccount, optional)
- `payment_gateway` (PaymentGatewayPaymentAcceptor, optional)
- `custom_redirect` (PaymentAcceptorCustomRedirect, optional)
- `status` (enum, optional, nullable)
  - Allowed values: `DRAFT`, `ACTIVE`, `ARCHIVED`, `DEPRECATED`

### PricingPlanScheduleInfo

- `id` (string, optional, nullable)
- `pricing_plan_schedule` (PricingPlanSchedule, optional, nullable)
- `pricing_plan_id` (string, optional, nullable)
- `pricing_plan` (PricingPlan, optional, nullable)
- `pricing_plan_version_id` (string, optional, nullable)
- `pricing_plan_version` (PricingPlanVersion, optional, nullable)
- `start_at` (string, optional, nullable)
- `end_at` (string, optional, nullable)
- `realign_invoice_date_to_pricing_plan_schedule_start_at` (boolean, optional, nullable)
- `status` (string, optional, nullable)

### CustomFieldValue

- `id` (string, optional, nullable) — Resource ID of type CUSTOM_FIELD
- `reference` (string, optional, nullable)
- `value` (string, optional, nullable)
- `values` (list of string, optional, nullable)
- `integration_details` (IntegrationDetails, optional, nullable)
- `integration_id` (string, optional) — The resource ID of the integration linked to the custom field

### PricingPlanSubscriptionGroup

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `reference` (string, optional) — Unique reference for this subscription group
- `name` (string, optional, nullable) — Optional name for this subscription group
- `description` (string, optional, nullable) — Optional description for this subscription group
- `owner_customer_id` (string, optional, nullable) — When provided, this subscription group can only be used for the customer that is linked to this ID and children of that customer
- `owner_customer` (Customer, optional, nullable)
- `pricing_plan_subscription_ids` (list of string, optional, nullable)

### InactivePeriod

- `type` (enum, optional, nullable)
  - Allowed values: `CANCEL`, `UPGRADE`
- `start_at` (datetime, optional)
- `end_at` (datetime, optional, nullable)
- `reason` (string, optional, nullable)

### NextInvoice

- `invoice_date` (datetime, optional, nullable)
- `invoice_id` (string, optional, nullable)

### TemplatePricingPlanSubscription

- `apply_billing_entity_selector` (boolean, optional, nullable)
- `allow_promotion_codes` (enum, optional, nullable)
  - Allowed values: `NONE`, `SINGLE`

### LinkedIntegration

- `id` (string, optional)
- `link_details` (list of LinkDetail, optional)

### SellerDetails

- `seller_customer_id` (string, optional, nullable) — Resource ID of type CUSTOMER

### NotificationPreference

- `type` (enum, optional) — The notification type to configure.
  - Allowed values: `INVOICE`
- `channels` (list of NotificationChannel, optional, nullable) — The channels for this notification type.

### Individual

- `name` (Name, optional)
- `residential_address` (Address, optional)

### Organization

- `legal_name` (string, optional)
- `tax_id` (string, optional, nullable) — Tax Id used for tax purposes of the organization
- `tax_ids` (list of TaxId, optional, nullable) — Tax Ids used for tax purposes of the organization
- `registration_number` (string, optional, nullable)
- `tax_exempt` (boolean, optional, nullable)
- `tax_exempt_note` (string, optional, nullable)
- `registered_address` (Address, optional)
- `tax_registrations` (list of TaxRegistration, optional, nullable) — Extra tax registrations for the customer

### PricingPlanSubscriptionSelector

- `data` (list of PricingPlanSubscriptionSelectorData, optional, nullable)
- `rules` (list of PricingPlanSubscriptionSelectorRule, optional, nullable)
- `filters` (list of PricingPlanSubscriptionSelectorFilter, optional, nullable)
- `fallback` (enum, optional, nullable) — The fallback logic what to do when no subscription is found. By default it is LATEST
  - Allowed values: `LATEST`, `NONE`

### CustomerSellerDetails

- `default_billing_entity_id` (string, optional, nullable) — Resource ID of type BILLING_ENTITY

### TaxId

- `id` (string, optional)
- `type` (enum, optional, nullable) — Optional tax id type, indicates which type of tax the number is for
  - Allowed values: `GENERIC_TAX_ID`, `AU_GST`, `CA_GST_HST`, `CA_PST`, `CA_PST_BC`, `CA_PST_MB`, `CA_PST_SK`, `CA_QST`
- `display_name` (string, optional, nullable) — User-friendly display name
- `tax_id_validation_result` (TaxIdValidation, optional)

### Address

- `line1` (string, optional, nullable)
- `line2` (string, optional, nullable)
- `city` (string, optional, nullable)
- `postal_code` (string, optional, nullable)
- `state` (string, optional, nullable)
- `country` (enum, optional, nullable)
  - Allowed values: `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, `AT`, `AU`, `AW`, `AX`, `AZ`, `BA`, `BB`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BL`, `BM`, `BN`, `BO`, `BQ`, `BR`, `BS`, `BT`, `BV`, `BW`, `BY`, `BZ`, `CA`, `CC`, `CD`, `CF`, `CG`, `CH`, `CI`, `CK`, `CL`, `CM`, `CN`, `CO`, `CR`, `CU`, `CV`, `CW`, `CX`, `CY`, `CZ`, `DE`, `DJ`, `DK`, `DM`, `DO`, `DZ`, `EC`, `EE`, `EG`, `EH`, `ER`, `ES`, `ET`, `FI`, `FJ`, `FK`, `FM`, `FO`, `FR`, `GA`, `GB`, `GD`, `GE`, `GF`, `GG`, `GH`, `GI`, `GL`, `GM`, `GN`, `GP`, `GQ`, `GR`, `GS`, `GT`, `GU`, `GW`, `GY`, `HK`, `HM`, `HN`, `HR`, `HT`, `HU`, `ID`, `IE`, `IL`, `IM`, `IN`, `IO`, `IQ`, `IR`, `IS`, `IT`, `JE`, `JM`, `JO`, `JP`, `KE`, `KG`, `KH`, `KI`, `KM`, `KN`, `KP`, `KR`, `KW`, `KY`, `KZ`, `LA`, `LB`, `LC`, `LI`, `LK`, `LR`, `LS`, `LT`, `LU`, `LV`, `LY`, `MA`, `MC`, `MD`, `ME`, `MF`, `MG`, `MH`, `MK`, `ML`, `MM`, `MN`, `MO`, `MP`, `MQ`, `MR`, `MS`, `MT`, `MU`, `MV`, `MW`, `MX`, `MY`, `MZ`, `NA`, `NC`, `NE`, `NF`, `NG`, `NI`, `NL`, `NO`, `NP`, `NR`, `NU`, `NZ`, `OM`, `PA`, `PE`, `PF`, `PG`, `PH`, `PK`, `PL`, `PM`, `PN`, `PR`, `PS`, `PT`, `PW`, `PY`, `QA`, `RE`, `RO`, `RS`, `RU`, `RW`, `SA`, `SB`, `SC`, `SD`, `SE`, `SG`, `SH`, `SI`, `SJ`, `SK`, `SL`, `SM`, `SN`, `SO`, `SR`, `SS`, `ST`, `SV`, `SX`, `SY`, `SZ`, `TC`, `TD`, `TF`, `TG`, `TH`, `TJ`, `TK`, `TL`, `TM`, `TN`, `TO`, `TR`, `TT`, `TV`, `TW`, `TZ`, `UA`, `UG`, `US`, `UY`, `UZ`, `VA`, `VC`, `VE`, `VG`, `VI`, `VN`, `VU`, `WF`, `WS`, `YE`, `YT`, `ZA`, `ZM`, `ZW`

### TaxSettings

- `apply_local_vat_for_missing_tax_id` (boolean, optional) — Indicates whether to apply VAT when a foreign B2B customer inside the EU has no VAT id configured

### TaxRegistration

- `id` (string, optional, nullable) — The id of this tax registration
- `description` (string, optional, nullable) — The description of this tax registration
- `tax_id` (string, optional, nullable) — The tax id of this tax registration, e.g. a TIN, VAT id or other tax number
- `tax_ids` (list of TaxId, optional, nullable) — Tax IDs used for tax purposes of the tax registration, e.g. TINs, VAT ids, or other tax number
- `registration_number` (string, optional, nullable) — The registration number of this tax registration, e.g. a company registration number
- `registered_address` (Address, optional) — The address of this tax registration, if different from the billing entity. Currently, only the address will be used for tax calculations

### BankAccount

- `type` (enum, optional, nullable) — Determines what fields should be present in the bank account node.
  - Allowed values: `IBAN`, `BIC_AND_ACCOUNT_NUMBER`, `ACCOUNT_NUMBER_AND_BIC`, `US_BANK_ACCOUNT`, `US_LOCAL`, `UK_LOCAL`, `BR_LOCAL`, `AR_LOCAL`, `MX_LOCAL`
- `iban` (string, optional, nullable)
- `country` (string, optional, nullable)
- `bic` (string, optional, nullable) — The ISO 9362 Business Identifier Code (BIC) of the bank account
- `bank_name` (string, optional, nullable)
- `bank_address` (Address, optional) — The bank address
- `account_number_and_bic` (AccountNumberAndBic, optional)
- `uk_local` (UKLocal, optional)
- `us_local` (USLocal, optional)
- `br_local` (BRLocal, optional)
- `ar_local` (ARLocal, optional)
- `mx_local` (MXLocal, optional)
- `account_number` (string, optional, nullable, deprecated) — A bank account number if IBAN is not used, e.g a USA or UK bank account number
- `bank_code` (string, optional, nullable, deprecated) — A bank code that's used to identify the bank that this account belongs to
- `routing_number` (string, optional, nullable, deprecated) — The 9-digit code that identifies a specific financial institution for transactions in the USA.
- `account_type` (enum, optional, nullable, deprecated) — The bank account type.
  - Allowed values: `CHECKING`, `SAVINGS`

### PaymentGatewayPaymentAcceptor

- `integration_id` (string, optional) — Resource ID of type INTEGRATION
- `integration` (Integration, optional, nullable)
- `store_payment_method` (boolean, optional, nullable)
- `auto_charge_payment_method` (boolean, optional, nullable)
- `collection_type` (enum, optional)
  - Allowed values: `LINK`
- `link` (PaymentGatewayPaymentAcceptorLink, optional)
- `adyen` (PaymentGatewayPaymentAcceptorAdyen, optional)

### PaymentAcceptorCustomRedirect

- `url` (string, optional, nullable)

### PricingPlanSchedule

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `type` (enum, optional, nullable) — The type of the pricing plan schedule.
  - Allowed values: `TRIAL`, `DEFAULT`
- `status` (enum, optional, nullable) — The status of the pricing plan schedule. Defaults to ACTIVE.
  - Allowed values: `DRAFT`, `ACTIVE`
- `approval_status` (enum, optional, nullable) — Approval status for schedules that are associated with an approval request
  - Allowed values: `PENDING_REVIEW`, `APPROVED`, `DECLINED`, `CANCELLED`
- `pricing_plan_subscription_id` (string, optional) — Resource ID of type PRICING_PLAN_SUBSCRIPTION
- `pricing_plan_id` (string, optional, nullable) — The resource ID of the pricing plan.
- `pricing_plan_version_id` (string, optional, nullable) — The resource ID of the pricing plan version.
- `pricing_plan_version_selector` (PricingPlanVersionSelector, optional) — Instead of the pricing_plan_version_id, during creation, a selector can be submitted to determine the pricing plan version.
- `start_at` (datetime, optional)
- `end_at` (datetime, optional, nullable)
- `pricing_currency` (enum, optional, nullable) — The default alphabetic currency code representing the type of currency used for the pricing.
  - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UZS`, `VEF`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`
- `billing_period` (Period, optional)
- `entitlements` (list of Entitlement, optional, nullable)
- `discount` (Discount, optional)
- `markup` (Markup, optional)
- `commitment` (Commitment, optional)
- `coupon_discount` (Discount, optional, nullable)
- `coupons` (list of AppliedCoupon, optional, nullable)
- `seats_values` (list of ConfiguredMeterValue, optional, nullable)
- `units` (list of ConfiguredMeterValue, optional, nullable) — The number of units billed per One Off pricing item config priced `FLAT`. Overrides `default_units`; absent falls back to it, then to 1.
- `included_volumes` (list of ConfiguredMeterValueIncludedVolume, optional, nullable)
- `enabled_pricings` (list of EnabledPricing, optional, nullable)
- `override_pricings` (list of Pricing, optional, nullable)
- `pricing_categories` (list of PricingCategory, optional, nullable) — Pricing defined directly on this schedule, in addition to (or instead of) a linked pricing plan version / rate-card.
- `combined_pricing_plan_version` (PricingPlanVersion, optional, nullable)
- `realign_invoice_date_to_pricing_plan_schedule_start_at` (boolean, optional, nullable)
- `created_at` (string, optional, nullable)
- `updated_at` (string, optional, nullable)
- `is_current` (boolean, optional, nullable) — Whether this schedule is currently in effect, based on its start_at/end_at and ACTIVE status.
- `promotion_codes` (list of string, optional, nullable, deprecated)
- `coupon_ids` (list of string, optional, nullable, deprecated)

### PricingPlan

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `reference` (string, optional)
- `name` (string, optional, nullable)
- `description` (string, optional, nullable)
- `customer_id` (string, optional, nullable) — Resource ID of type CUSTOMER
- `type` (enum, optional, nullable)
  - Allowed values: `STANDARD`, `CUSTOM`
- `amount_type` (enum, optional) — Set to determine whether the pricings in this pricing plan are including or excluding tax. The default, if left empty, is excluding tax.
  - Allowed values: `EXCLUDING_TAX`, `INCLUDING_TAX`
- `pricing_plan_version_infos` (list of PricingPlanVersionInfo, optional, nullable)
- `pricing_plan_selection_rules` (list of SelectionRule, optional, nullable)
- `pricing_currencies` (list of enum, optional, nullable) — The default alphabetic currency code representing the type of currency that can be used for the pricings.
  - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UZS`, `VEF`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`
- `variant` (enum, optional, nullable)
  - Allowed values: `DEFAULT`, `RATE_CARD`
- `custom_fields` (list of CustomFieldValue, optional, nullable) — Custom fields associated to this pricing plan
- `agent_context` (AgentContext, optional) — Context for AI agents about this pricing plan. Intended for agents, not for customer-facing output.

### PricingPlanVersion

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `pricing_plan_id` (string, optional, nullable) — The resource ID of the pricing plan.
- `pricing_plan` (PricingPlan, optional, nullable)
- `version` (integer, optional, nullable) — The value describing the version of the pricing plan.
- `status` (enum, optional, nullable)
  - Allowed values: `DRAFT`, `ACTIVE`, `ARCHIVED`, `DEPRECATED`
- `pricing_currency_settings` (PricingCurrencySettings, optional)
- `billing_period_settings` (BillingPeriodSettings, optional)
- `copied_from_pricing_plan_version_id` (string, optional, nullable) — The id of the pricing plan version from which this pricing plan version was copied
- `pricing_categories` (list of PricingCategory, optional, nullable) — The list of priced categories that are within the pricing plan.
- `credit_types` (list of CreditType, optional, nullable)
- `rate_card` (RateCard, optional)

### IntegrationDetails

- `id` (string, optional, nullable)
- `reference` (string, optional, nullable)
- `payment_gateway_variant` (enum, optional)
  - Allowed values: `ADYEN`, `STRIPE`
- `adyen` (AdyenIntegrationDetails, optional)
- `stripe` (StripeIntegrationDetails, optional)

### LinkDetail

- `url` (string, optional, nullable)
- `custom_field_name` (string, optional, nullable)

### NotificationChannel

- `type` (enum, optional) — The channel type to use.
  - Allowed values: `EMAIL`
- `enabled` (boolean, optional, nullable) — Whether the channel is enabled for the notification type.

### Name

- `first_name` (string, optional, nullable)
- `last_name` (string, optional, nullable)
- `infix` (string, optional, nullable)

### PricingPlanSubscriptionSelectorData

- `field` (enum, optional)
  - Allowed values: `BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY`, `PRICING_PLAN_REFERENCE`
- `value` (string, optional)

### PricingPlanSubscriptionSelectorRule

- `field` (enum, optional)
  - Allowed values: `BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY`, `PRICING_PLAN_REFERENCE`
- `type` (enum, optional)
  - Allowed values: `EQUALS`, `NOT_EQUALS`, `IN`, `NOT_IN`, `GREATER_THAN`, `GREATER_THAN_OR_EQUALS`, `LESS_THAN`, `LESS_THAN_OR_EQUALS`, `EMPTY`, `NOT_EMPTY`, `CONTAINS`, `NOT_CONTAINS`

### PricingPlanSubscriptionSelectorFilter

- `field` (enum, optional)
  - Allowed values: `BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY`, `PRICING_PLAN_REFERENCE`
- `type` (enum, optional)
  - Allowed values: `EQUALS`, `NOT_EQUALS`, `IN`, `NOT_IN`, `GREATER_THAN`, `GREATER_THAN_OR_EQUALS`, `LESS_THAN`, `LESS_THAN_OR_EQUALS`, `EMPTY`, `NOT_EMPTY`, `CONTAINS`, `NOT_CONTAINS`
- `value` (string, optional)

### TaxIdValidation

- `id` (string, optional)
- `validation_date` (string, optional)
- `source` (string, optional)
- `valid` (enum, optional)
  - Allowed values: `VALID`, `NOT_VALID`, `UNKNOWN`
- `message` (string, optional, nullable)

### AccountNumberAndBic

- `account_number` (string, optional, nullable) — A bank account number if IBAN is not used, e.g a USA or UK bank account number
- `bank_code` (string, optional, nullable) — A bank code that's used to identify the bank that this account belongs to
- `bic` (string, optional, nullable) — The ISO 9362 Business Identifier Code (BIC) of the bank account

### UKLocal

- `account_number` (string, optional, nullable) — A bank account number if IBAN is not used, e.g a USA or UK bank account number
- `sort_code` (string, optional, nullable)

### USLocal

- `account_number` (string, optional, nullable) — A bank account number if IBAN is not used, e.g a USA or UK bank account number
- `account_type` (enum, optional, nullable) — The bank account type.
  - Allowed values: `CHECKING`, `SAVINGS`
- `bank_code` (string, optional, nullable) — A bank code that's used to identify the bank that this account belongs to
- `routing_number` (string, optional, nullable) — The 9-digit code that identifies a specific financial institution for transactions in the USA.

### BRLocal

- `branch` (string, optional, nullable) — Identifier of the bank branch (agência)
- `account_number` (string, optional, nullable) — A bank account number if IBAN is not used, in Brazil known as a conta
- `bic` (string, optional, nullable) — The ISO 9362 Business Identifier Code (BIC) of the bank account

### ARLocal

- `cbu` (string, optional, nullable) — CBU (Clave Bancaria Uniforme) account identifier
- `account_number` (string, optional, nullable) — A bank account number if IBAN is not used
- `bic` (string, optional, nullable) — The ISO 9362 Business Identifier Code (BIC) of the bank account

### MXLocal

- `clabe` (string, optional, nullable) — CLABE (Clave Bancaria Estandarizada) account identifier
- `account_number` (string, optional, nullable) — A bank account number if IBAN is not used
- `bic` (string, optional, nullable) — The ISO 9362 Business Identifier Code (BIC) of the bank account

### Integration

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `reference` (string, optional) — A custom reference assigned to the integration.
- `name` (string, optional) — A custom name assigned to the integration.
- `description` (string, optional)
- `status` (enum, optional, nullable) — The status of the integration.
  - Allowed values: `DRAFT`, `PENDING`, `TESTING`, `ACTIVE`, `ERROR`, `DEPRECATED`, `ARCHIVED`
- `message` (string, optional, nullable) — The message associated with the status of the integration.
- `type` (enum, optional) — The type of integration.
  - Allowed values: `PAYMENT_GATEWAY`, `E_INVOICING`, `TAX_CALCULATION`, `DATA_EXPORT`, `EMAIL_PROVIDER`, `ERP`
- `variant` (enum, optional) — The variant of the integration.
  - Allowed values: `DEFAULT`, `PARAGON_MULTI_ACCOUNT`
- `paragon_settings` (ParagonSettings, optional) — Paragon integration settings, e.g. the Paragon credential id. Applicable when the variant is PARAGON_MULTI_ACCOUNT.
- `authentication` (AuthenticationSettings, optional) — The authentication information used for the integration
- `payment_gateway` (PaymentGatewayIntegration, optional)
- `e_invoicing` (EInvoicingIntegration, optional) — Integration to do eInvoicing
- `data_export` (DataExportIntegration, optional)
- `tax_calculation` (TaxCalculationIntegration, optional) — Integration to calculate tax
- `linked_resources_configurations` (list of IntegrationLinkedResourceConfiguration, optional) — Details from the resources configurations from Solvimon linked to external integration system
- `email_provider` (EmailProviderIntegration, optional) — Email provider integration settings. Applicable when the integration type is EMAIL_PROVIDER.
- `erp` (ErpIntegration, optional) — ERP integration settings. Applicable when the integration type is ERP.

### PaymentGatewayPaymentAcceptorLink

- `expiry_period` (Period, optional)

### PaymentGatewayPaymentAcceptorAdyen

- `auto_rescue` (AdyenAutoRescue, optional)
- `merchant_account` (string, optional, nullable)
- `allowed_payment_methods` (list of string, optional, nullable) — The Adyen payment method types allowed for this payment acceptor. Must be a subset of the integration's enabled_payment_methods, when enabled_payment_methods is set.

### PricingPlanVersionSelector

- `pricing_plan_id` (string, optional, nullable) — The ID of the pricing plan.
- `pricing_plan_reference` (string, optional, nullable) — Or the reference of the pricing plan.
- `type` (enum, optional, nullable) — The type of the selector to determine pricing plan version (by default LATEST).
  - Allowed values: `LATEST`, `VERSION`
- `version` (integer, optional, nullable) — The specific version of the pricing plan version, in case of type VERSION

### Entitlement

- `feature_id` (string, optional, nullable) — Resource ID of type FEATURE
- `feature` (Feature, optional, nullable)
- `feature_reference` (string, optional, nullable)
- `override` (boolean, optional, nullable)
- `number` (string, optional, nullable)
- `switch` (boolean, optional, nullable)
- `amount` (Amount, optional)
- `enum` (string, optional, nullable)
- `string` (string, optional, nullable)
- `overwrite` (boolean, optional, nullable, deprecated)

### Discount

- `pricing_item_configs` (list of PricingItemConfigDiscount, optional, nullable)
- `pricing_items` (list of PricingItemDiscount, optional, nullable)
- `pricings` (list of PricingDiscount, optional, nullable)
- `totals` (list of TotalDiscount, optional, nullable)
- `product_categories` (list of ProductCategoryDiscount, optional, nullable)
- `products` (list of ProductDiscount, optional, nullable)
- `product_items` (list of ProductItemDiscount, optional, nullable)
- `product_item_meter_property_conditions` (list of ProductItemMeterPropertyConditionDiscount, optional, nullable)

### Markup

- `pricing_item_configs` (list of PricingItemConfigMarkup, optional, nullable)

### Commitment

- `pricing_item_configs` (list of PricingItemConfigCommitment, optional, nullable)
- `pricing_items` (list of PricingItemCommitment, optional, nullable)
- `pricings` (list of PricingCommitment, optional, nullable)
- `totals` (list of InvoiceCommitment, optional, nullable)

### AppliedCoupon

- `id` (string, optional)
- `coupon_name` (string, optional, nullable)
- `promotion_code_resource_id` (string, optional, nullable)
- `promotion_code` (string, optional, nullable)
- `discount` (Discount, optional, nullable)

### ConfiguredMeterValue

- `pricing_item_config_id` (string, optional) — Resource ID of type PRICING_ITEM_CONFIG
- `number` (string, optional, nullable)
- `amount` (Amount, optional)
- `start_at` (datetime, optional, nullable)
- `set_start_at_to_now` (boolean, optional, nullable)
- `end_at` (string, optional, nullable)

### ConfiguredMeterValueIncludedVolume

- `pricing_item_config_id` (string, optional) — Resource ID of type PRICING_ITEM_CONFIG
- `number` (string, optional, nullable)
- `amount` (Amount, optional)
- `start_at` (datetime, optional, nullable)
- `end_at` (datetime, optional, nullable)
- `reset_type` (string, optional, nullable)

### EnabledPricing

- `pricing_id` (string, optional) — Resource ID of type PRICING
- `start_at` (datetime, optional, nullable)
- `end_at` (datetime, optional, nullable)

### Pricing

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `pricing_plan_version_id` (string, optional, nullable) — Resource ID of type PRICING_PLAN_VERSION
- `pricing_plan_schedule_id` (string, optional, nullable) — Resource ID of type PRICING_PLAN_SCHEDULE
- `pricing_group_id` (string, optional, nullable) — Resource ID of type PRICING_GROUP
- `original_pricing_id` (string, optional, nullable)
- `original_pricing` (PricingOriginalPricing, optional, nullable) — This property creates a circular reference in the `Pricing` schema. If you experience any issues with OpenAPI tools related to these circular references, you can try removing this property from the specification.
- `override` (enum, optional, nullable)
  - Allowed values: `ALL`, `SPECIFIC`
- `name` (string, optional, nullable)
- `product_type` (enum, optional, nullable)
  - Allowed values: `DEFAULT`, `ADDON`
- `product_ids` (list of string, optional)
- `display_order` (integer, optional, nullable)
- `products` (list of Product, optional, nullable)
- `entitlements` (list of Entitlement, optional, nullable)
- `items` (list of PricingItem, optional, nullable)

### PricingCategory

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `product_category_id` (string, optional) — Resource ID of type PRODUCT_CATEGORY
- `product_category` (ProductCategory, optional, nullable)
- `pricings` (list of Pricing, optional, nullable)
- `pricing_groups` (list of PricingGroup, optional, nullable)
- `display_order` (integer, optional, nullable)

### PricingPlanVersionInfo

- `version` (integer, optional)
- `id` (string, optional)
- `status` (string, optional)
- `rate_card` (RateCard, optional)

### SelectionRule

- `type` (enum, optional)
  - Allowed values: `RESOURCE`
- `resource` (SelectionRuleResource, optional)

### AgentContext

- `guidance` (string, optional, nullable) — Free-text guidance for AI agents on how to interpret and use this resource.

### PricingCurrencySettings

- `default_pricing_currency` (string, optional, nullable)
- `pricing_currencies` (list of string, optional, nullable)

### BillingPeriodSettings

- `billing_periods` (list of BillingPeriodOption, optional, nullable)

### CreditType

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `reference` (string, optional)
- `status` (enum, optional, nullable)
  - Allowed values: `DRAFT`, `ACTIVE`, `INACTIVE`, `DEPRECATED`, `ARCHIVED`
- `name` (string, optional)
- `description` (string, optional, nullable)
- `unit_name` (UnitName, optional)
- `created_at` (string, optional, nullable)
- `updated_at` (string, optional, nullable)

### RateCard

- `start_at` (datetime, optional, nullable)

### AdyenIntegrationDetails

- `recurring_detail_reference` (string, optional)

### StripeIntegrationDetails

- `payment_method_id` (string, optional)

### ParagonSettings

- `paragon_external_id` (string, optional, nullable) — The external id of the integration in the third-party system, e.g. the Paragon credential id.

### AuthenticationSettings

- `api_key` (AuthenticationSettingsApiKey, optional)
- `client_credentials` (ClientCredentials, optional)
- `username_password` (UsernamePassword, optional)

### PaymentGatewayIntegration

- `variant` (enum, optional) — The variant of payment integration.
  - Allowed values: `ADYEN`, `STRIPE`
- `adyen` (AdyenPaymentGatewayIntegration, optional)
- `stripe` (StripePaymentGatewayIntegration, optional)

### EInvoicingIntegration

- `mandates` (list of EInvoicingMandate, optional) — The mandates that are used for eInvoicing
- `processor` (enum, optional)
  - Allowed values: `AVALARA`

### DataExportIntegration

- `variant` (enum, optional) — The variant of payment integration.
  - Allowed values: `S3`, `BIGQUERY`, `GCS`, `SNOWFLAKE`
- `s3` (S3, optional)
- `bigquery` (BigQuery, optional)
- `gcs` (Gcs, optional)
- `snowflake` (Snowflake, optional)
- `transport_type` (string, optional, nullable)

### TaxCalculationIntegration

- `billing_entity_id` (string, optional) — The id of the billing entity for which this integration is used
- `variant` (enum, optional) — The variant that provides the tax calculation
  - Allowed values: `AVATAX`
- `ava_tax` (AvaTaxCalculationIntegration, optional) — Details for an AvaTax integration
- `custom_tax_codes` (list of CustomTaxCode, optional) — Optional: custom codes that are used to link specific taxes to the tax calculation (e.g. commitments, missing product codes, etc.)
- `enable_tax_filing` (boolean, optional) — Determines whether invoices will be sent to the tax integration, or just calculations

### IntegrationLinkedResourceConfiguration

- `resource_type` (string, optional)
- `link_details` (list of IntegrationLinkDetail, optional)

### EmailProviderIntegration

- `variant` (enum, optional) — The variant of email provider integration.
  - Allowed values: `SYSTEM`, `MAILGUN`
- `mailgun` (MailgunEmailProvider, optional) — Mailgun-specific provider settings. Applicable when variant is MAILGUN.
- `delivery_window` (Period, optional) — Optional delivery window configuration that limits when outbound emails may be sent.

### ErpIntegration

- `variant` (enum, optional)
  - Allowed values: `XERO`

### AdyenAutoRescue

- `enabled` (boolean, optional, nullable)
- `period` (Period, optional)

### Feature

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `reference` (string, optional)
- `name` (string, optional, nullable)
- `description` (string, optional, nullable)
- `type` (enum, optional, nullable) — The indication of the type of feature associated with the pricing plan.
  - Allowed values: `SWITCH`, `NUMBER`, `ENUM`, `AMOUNT`, `STRING`
- `enum_values` (list of string, optional, nullable) — If the feature type is ENUM, these fields provide additional information on the values used.
- `meter_value_calculation_id` (string, optional, nullable) — The linked meter value calculation
- `meter_value_calculation` (MeterValueCalculation, optional, nullable)

### Amount

- `quantity` (string, optional)
- `currency` (enum, optional)
  - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UZS`, `VEF`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`

### PricingItemConfigDiscount

- `ids` (list of string, optional) — Resource ID of type PRICING_ITEM_CONFIG
- `start_at` (datetime, optional, nullable)
- `end_at` (datetime, optional, nullable)
- `amount` (Amount, optional)
- `percentage` (string, optional, nullable)
- `condition` (DiscountCondition, optional)

### PricingItemDiscount

- `ids` (list of string, optional) — Resource ID of type PRICING_ITEM
- `start_at` (datetime, optional, nullable)
- `end_at` (datetime, optional, nullable)
- `amount` (Amount, optional)
- `percentage` (string, optional, nullable)
- `condition` (DiscountCondition, optional)

### PricingDiscount

- `ids` (list of string, optional) — Resource ID of type PRICING
- `start_at` (datetime, optional, nullable)
- `end_at` (datetime, optional, nullable)
- `amount` (Amount, optional)
- `percentage` (string, optional, nullable)
- `condition` (DiscountCondition, optional)

### TotalDiscount

- `start_at` (string, optional, nullable)
- `end_at` (string, optional, nullable)
- `amount` (Amount, optional)
- `percentage` (string, optional, nullable)
- `coupon_id` (string, optional, nullable) — Resource ID of type COUPON
- `promotion_code_details` (PromotionCodeDetails, optional, nullable)
- `condition` (DiscountCondition, optional)

### ProductCategoryDiscount

- `ids` (list of string, optional) — Resource ID of type PRODUCT_CATEGORY
- `start_at` (string, optional, nullable)
- `end_at` (string, optional, nullable)
- `amount` (Amount, optional)
- `percentage` (string, optional, nullable)
- `coupon_id` (string, optional, nullable) — Resource ID of type COUPON
- `promotion_code_details` (PromotionCodeDetails, optional, nullable)
- `condition` (DiscountCondition, optional)

### ProductDiscount

- `ids` (list of string, optional) — Resource ID of type PRODUCT
- `start_at` (string, optional, nullable)
- `end_at` (string, optional, nullable)
- `amount` (Amount, optional)
- `percentage` (string, optional, nullable)
- `coupon_id` (string, optional, nullable) — Resource ID of type COUPON
- `promotion_code_details` (PromotionCodeDetails, optional, nullable)
- `condition` (DiscountCondition, optional)

### ProductItemDiscount

- `ids` (list of string, optional) — Resource ID of type PRODUCT_ITEM
- `start_at` (string, optional, nullable)
- `end_at` (string, optional, nullable)
- `amount` (Amount, optional)
- `percentage` (string, optional, nullable)
- `coupon_id` (string, optional, nullable) — Resource ID of type COUPON
- `promotion_code_details` (PromotionCodeDetails, optional, nullable)
- `condition` (DiscountCondition, optional)

### ProductItemMeterPropertyConditionDiscount

- `ids` (list of string, optional) — Resource ID of type PRODUCT_ITEM
- `meter_property_condition_expression` (MeterConditionExpression, optional)
- `start_at` (datetime, optional, nullable)
- `end_at` (datetime, optional, nullable)
- `amount` (Amount, optional)
- `percentage` (string, optional, nullable)
- `condition` (DiscountCondition, optional)
- `coupon_id` (string, optional, nullable) — Resource ID of type COUPON
- `promotion_code_details` (PromotionCodeDetails, optional, nullable)

### PricingItemConfigMarkup

- `ids` (list of string, optional) — Resource ID of type PRICING_ITEM_CONFIG
- `start_at` (datetime, optional, nullable)
- `end_at` (datetime, optional, nullable)
- `amount` (Amount, optional)
- `percentage` (string, optional, nullable)

### PricingItemConfigCommitment

- `ids` (list of string, optional) — List of resource IDs each referencing an pricing item configuration.
- `meter_value_calculation` (MeterValueCalculationCommitment, optional) — When the implicit link to a product item offers a connection to a meter value calculation a commitment of either count or number can be set.
- `start_at` (datetime, optional, nullable) — Moment the invoice commitment starts, this is greater or equal to the start of the schedule
- `end_at` (datetime, optional, nullable) — Moment the invoice commitment ends, this is before the end of the schedule
- `amount` (Amount, optional) — The minimum amount that will be set on the invoice for this commitment, either an amount or meter_value_calculation is set.

### PricingItemCommitment

- `ids` (list of string, optional) — List of resource IDs each referencing a pricing item.
- `start_at` (datetime, optional, nullable) — Moment the invoice commitment starts, this is greater or equal to the start of the schedule
- `end_at` (datetime, optional, nullable) — Moment the invoice commitment ends, this is before the end of the schedule
- `amount` (Amount, optional) — Minimum amount to be invoiced.

### PricingCommitment

- `ids` (list of string, optional) — List of resource IDs each referencing a pricing item.
- `start_at` (datetime, optional, nullable) — Moment the invoice commitment starts, this is greater or equal to the start of the schedule
- `end_at` (datetime, optional, nullable) — Moment the invoice commitment ends, this is before the end of the schedule
- `amount` (Amount, optional) — Minimum amount to be invoiced.

### InvoiceCommitment

- `start_at` (datetime, optional, nullable) — Moment the invoice commitment starts, this is greater or equal to the start of the schedule
- `end_at` (datetime, optional, nullable) — Moment the invoice commitment ends, this is before the end of the schedule
- `amount` (Amount, optional) — Minimum invoice amount.

### PricingOriginalPricing

This property creates a circular reference in the `Pricing` schema. If you experience any issues with OpenAPI tools related to these circular references, you can try removing this property from the specification.

### Product

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `category_id` (string, optional) — The resource ID of the product category, that belongs to the product.
- `category` (ProductCategory, optional, nullable)
- `parent_product_id` (string, optional, nullable) — The resource ID of the original product, to which the product will belong to.
- `name` (string, optional)
- `reference` (string, optional)
- `description` (string, optional, nullable)
- `status` (enum, optional, nullable) — The status of the product.
  - Allowed values: `DRAFT`, `ACTIVE`, `ARCHIVED`, `DEPRECATED`
- `product_type` (enum, optional)
  - Allowed values: `DEFAULT`, `ADDON`
- `tax_category` (enum, optional, nullable) — The default tax category applied to the product.
  - Allowed values: `STANDARD`, `NO_TAX`, `EXEMPT`
- `features` (list of FeatureResourceReference, optional, nullable) — The features associated with the product.
- `custom_fields` (list of CustomFieldValue, optional, nullable)
- `display_order` (integer, optional, nullable) — Determines the order in which products are displayed on overview pages and invoices. The lowest number gets the highest priority.
- `linked_integrations` (list of LinkedIntegration, optional, nullable)
- `billing_entity_id` (string, optional, nullable) — The resource ID of the billing entity linked to this product.
- `customer_id` (string, optional, nullable)
- `agent_context` (AgentContext, optional) — Context for AI agents about this product. Intended for agents, not for customer-facing output.

### PricingItem

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `original_pricing_item_id` (string, optional, nullable)
- `original_pricing_item` (PricingItemOriginalPricingItem, optional, nullable) — This property creates a circular reference in the `PricingItem` schema. If you experience any issues with OpenAPI tools related to these circular references, you can try removing this property from the specification.
- `override` (enum, optional, nullable)
  - Allowed values: `ALL`, `SPECIFIC`
- `product_item_ids` (list of string, optional)
- `product_items` (list of ProductItem, optional, nullable)
- `configs` (list of PricingItemConfig, optional, nullable)
- `pricing_currency_configs` (list of PricingItemPricingCurrencyConfig, optional, nullable)
- `billing_period_configs` (list of PricingItemBillingPeriodConfig, optional, nullable)
- `display_order` (integer, optional, nullable)

### ProductCategory

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `name` (string, optional)
- `reference` (string, optional)
- `description` (string, optional, nullable)
- `tax_category` (enum, optional, nullable) — The default tax category applied to the products in the product category.
  - Allowed values: `STANDARD`, `NO_TAX`, `EXEMPT`
- `display_order` (integer, optional, nullable)
- `customer_id` (string, optional, nullable) — Resource ID of type CUSTOMER

### PricingGroup

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `pricing_plan_version_id` (string, optional, nullable) — Resource ID of type PRICING_PLAN_VERSION
- `pricing_plan_schedule_id` (string, optional, nullable) — Resource ID of type PRICING_PLAN_SCHEDULE
- `name` (string, optional, nullable)
- `product_type` (enum, optional, nullable)
  - Allowed values: `DEFAULT`, `ADDON`
- `selection_constraint` (enum, optional, nullable)
  - Allowed values: `ANY`, `AT_LEAST_ONE`, `AT_MOST_ONE`, `EXACTLY_ONE`
- `display_order` (integer, optional, nullable)
- `pricings` (list of Pricing, optional, nullable)

### SelectionRuleResource

- `type` (enum, optional)
  - Allowed values: `PLATFORM`, `CUSTOMER`, `BILLING_ENTITY`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_VALUE_CALCULATION`, `PRODUCT`, `PRODUCT_ITEM`, `PRODUCT_CATEGORY`, `PRICING`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_ITEM_SUMMARY`, `METER_VALUE_CALCULATION_SUMMARY`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SCHEDULE`, `QUOTE`, `QUOTE_VERSION`, `CONTACT`, `CUSTOM_FIELD`, `REQUEST_REFERENCE`, `METER_DATA`, `CHARGE_DATA`, `ADJUSTMENT_DATA`, `PERSIST_DATA`, `INVOICE`, `INVOICE_PAYMENT_ATTEMPT`, `PAYMENT_ACCEPTOR`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `FEATURE`, `ALERT_RULE`, `ALERT`, `USER`, `MEMBERSHIP`, `TEAM`, `ENTITY`, `ACCOUNT_GROUP`, `AUDIT`, `WEBHOOK`, `REPORT_SUBSCRIPTION`, `REPORT_CONFIGURATION`
- `field` (enum, optional)
  - Allowed values: `COUNTRY`
- `value` (string, optional, nullable)
- `values` (list of string, optional, nullable)
- `comparator` (enum, optional)
  - Allowed values: `EQUALS`, `NOT_EQUALS`, `IN`, `NOT_IN`, `GREATER_THAN`, `GREATER_THAN_OR_EQUALS`, `LESS_THAN`, `LESS_THAN_OR_EQUALS`, `EMPTY`, `NOT_EMPTY`, `CONTAINS`, `NOT_CONTAINS`

### BillingPeriodOption

- `period` (Period, optional)
- `description` (string, optional, nullable)

### UnitName

- `singular` (string, optional)
- `plural` (string, optional, nullable)

### AuthenticationSettingsApiKey

- `header` (string, optional, nullable)
- `value` (string, optional, nullable)

### ClientCredentials

- `client_id` (string, optional)
- `client_secret` (string, optional)

### UsernamePassword

- `username` (string, optional)
- `password` (string, optional)

### AdyenPaymentGatewayIntegration

- `company_account` (string, optional)
- `environment` (enum, optional)
  - Allowed values: `LIVE`, `TEST`
- `live_prefix` (string, optional)
- `merchant_accounts` (list of string, optional)
- `public_key` (string, optional)
- `signing_secret` (string, optional)
- `ownership` (enum, optional)
  - Allowed values: `PLATFORM`, `SYSTEM`
- `system_ownership_details` (SystemOwnershipDetails, optional)
- `balance_platform_details` (BalancePlatformDetails, optional)
- `legal_entity_manager_details` (LegalEntityManagerDetails, optional)
- `enabled_payment_methods` (list of string, optional, nullable) — The Adyen payment method types enabled for this integration.

### StripePaymentGatewayIntegration

- `public_key` (string, optional)
- `signing_secret` (string, optional, nullable)

### EInvoicingMandate

- `name` (string, optional) — The name of the mandate
- `country` (string, optional, nullable) — The country that this mandate belongs to
- `mappings` (list of EInvoicingMapping, optional, nullable) — The mappings that are used for this Mandate. If not provided, all mappings will be default. If provided, will be merged with defaults
- `condition_groups` (list of EInvoicingConditionGroup, optional, nullable) — The condition groups that are used for this mandate. If provided, no defaults will be used. The mandate applies if 1 conditionGroup applies
- `include_pdf_in_einvoice` (boolean, optional, nullable) — Whether the PDF should be included in the submitted eInvoice payload when supported
- `supported_file_formats` (list of EInvoiceFileFormat, optional, nullable) — The file formats in which eInvoices for this mandate can be downloaded

### S3

- `bucket_name` (string, optional)
- `bucket_path` (string, optional)
- `bucket_region` (string, optional)
- `authentication_type` (enum, optional, nullable)
  - Allowed values: `ACCESS_KEY_AND_SECRET`, `IAM_ROLE`
- `role_arn` (string, optional, nullable)
- `external_id` (string, optional, nullable)

### BigQuery

- `project_id` (string, optional)
- `dataset_id` (string, optional)
- `dataset_location` (string, optional)
- `gcs_bucket_name` (string, optional)
- `gcs_hmac_key_access_id` (string, optional)
- `gcs_hmac_key_secret` (string, optional)

### Gcs

- `bucket_region` (string, optional)
- `bucket_name` (string, optional)
- `bucket_path` (string, optional)
- `flattening` (boolean, optional)

### Snowflake

- `host` (string, optional, nullable)
- `role` (string, optional, nullable)
- `warehouse` (string, optional, nullable)
- `database` (string, optional, nullable)
- `schema` (string, optional, nullable)

### AvaTaxCalculationIntegration

- `company_code` (string, optional) — Links a billing entity to a company in AvaTax

### CustomTaxCode

- `field` (enum, optional) — The field to use a custom code for
  - Allowed values: `INVOICE_COMMITMENT`, `PRODUCT_FALLBACK`
- `value` (string, optional)

### IntegrationLinkDetail

- `base_url` (string, optional)
- `custom_field_reference` (string, optional)

### MailgunEmailProvider

- `domain` (string, optional) — Mailgun sending domain used for this email provider integration.
- `region` (enum, optional, nullable) — Mailgun region for the configured domain.
  - Allowed values: `US`, `EU`
- `plan` (string, optional, nullable) — Optional Mailgun plan stored with the integration.

### MeterValueCalculation

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `reference` (string, optional)
- `name` (string, optional, nullable)
- `description` (string, optional, nullable)
- `calculation_type` (enum, optional, nullable) — The type of calculation used for this billable metric.
  - Allowed values: `SUM`, `MAX`, `MIN`, `AVERAGE`, `UNIQUE`
- `persist` (boolean, optional, nullable) — Indicate if the data of the billable metric must be persisted to the next billing period of the schedule (default is false).
- `meter_id` (string, optional, nullable) — The ID of the meter.
- `meter` (Meter, optional, nullable)
- `meter_value_id` (string, optional, nullable) — The ID of the meter value.
- `meter_value` (MeterValue, optional, nullable)
- `meter_property_id` (string, optional, nullable) — The ID of the meter property.
- `meter_property` (MeterProperty, optional, nullable)

### DiscountCondition

- `comparator` (enum, optional)
  - Allowed values: `EQUALS`, `NOT_EQUALS`, `IN`, `NOT_IN`, `GREATER_THAN`, `GREATER_THAN_OR_EQUALS`, `LESS_THAN`, `LESS_THAN_OR_EQUALS`, `EMPTY`, `NOT_EMPTY`, `CONTAINS`, `NOT_CONTAINS`
- `value` (DiscountConditionValue, optional)

### PromotionCodeDetails

- `promotion_code_id` (string, optional, nullable) — Resource ID of type PROMOTION_CODE
- `code` (string, optional, nullable)

### MeterConditionExpression

- `operator` (enum, optional)
  - Allowed values: `AND`, `OR`, `XOR`
- `operands` (list of MeterConditionOperand, optional, nullable)

### MeterValueCalculationCommitment

- `number` (string, optional, nullable) — The minimum number of events that are to be invoiced.
- `amount` (Amount, optional) — The minimum amount to be invoiced.

### FeatureResourceReference

- `id` (string, optional, nullable) — The ID of the feature.
- `reference` (string, optional) — The reference of the feature.

### PricingItemOriginalPricingItem

This property creates a circular reference in the `PricingItem` schema. If you experience any issues with OpenAPI tools related to these circular references, you can try removing this property from the specification.

### ProductItem

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `product_id` (string, optional, nullable) — The resource ID of the product, that belongs to the product item.
- `product` (Product, optional, nullable)
- `name` (string, optional, nullable)
- `status` (enum, optional, nullable)
  - Allowed values: `DRAFT`, `ACTIVE`, `ARCHIVED`, `DEPRECATED`
- `reference` (string, optional)
- `description` (string, optional, nullable)
- `type` (enum, optional, nullable) — The type of the product item.
  - Allowed values: `REVENUE`, `DEDUCTION`
- `model_type` (enum, optional, nullable)
  - Allowed values: `USAGE_BASED`, `USAGE_BASED_CONVERSION`, `RECURRING`, `ONE_OFF`, `PER_SEAT`, `CREDITS`
- `usage_based` (ProductItemUsageBased, optional) — Additional settings in case of a USAGE_BASED type.
- `credits` (ProductItemCredits, optional) — Additional settings in case of a CREDITS type.
- `meter_value_calculation` (MeterValueCalculation, optional, nullable)
- `tax_category` (enum, optional, nullable) — The default tax category applied to the product item.
  - Allowed values: `STANDARD`, `NO_TAX`, `EXEMPT`
- `display_order` (integer, optional, nullable)
- `unit_name` (UnitName, optional)
- `custom_fields` (list of CustomFieldValue, optional, nullable) — Custom fields associated to this product item
- `customer_id` (string, optional, nullable)
- `agent_context` (AgentContext, optional) — Context for AI agents about this product item. Intended for agents, not for customer-facing output.
- `meter_value_calculation_id` (string, optional, nullable, deprecated) — The linked meter value calculation, in case of a USAGE_BASED charge type.
- `report_meter_value_calculation_ids` (list of string, optional, nullable, deprecated) — Optional reporting meter value calculations, in case of a USAGE_BASED charge type.

### PricingItemConfig

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable) — Resource ID of type PRICING_ITEM_CONFIG
- `original_pricing_item_config_id` (string, optional, nullable)
- `original_pricing_item_config` (PricingItemConfigOriginalPricingItemConfig, optional, nullable) — This property creates a circular reference in the `PricingItemConfig` schema. If you experience any issues with OpenAPI tools related to these circular references, you can try removing this property from the specification.
- `details` (PricingItemConfigDetails, optional)
- `billing_period` (Period, optional)
- `pricing_period` (Period, optional)
- `default_included_volume` (PricingItemConfigMeterValueIncludedVolume, optional)
- `default_seats_value` (PricingItemConfigMeterValue, optional)
- `default_units` (PricingItemConfigMeterValue, optional) — The default number of units billed for a One Off product item priced `FLAT` with a per-unit amount. Set to 1 when not provided.
- `conditions` (PricingItemConfigConditions, optional)
- `tiering_conditions` (MeterConditions, optional) — Conditions that filter for which `TIERING` events this pricing item config is applied. Only the `expression` is supported here; the deprecated `meter_properties` field is not allowed.
- `order` (integer, optional, nullable)
- `billing_in_advance` (boolean, optional, nullable)
- `volume_group_reference` (string, optional, nullable)
- `top_up` (PricingItemConfigTopUp, optional)
- `split_pricing` (PricingItemConfigSplitPricing, optional)
- `on_demand` (boolean, optional, nullable)
- `wallet_grants` (list of PricingItemConfigWalletGrant, optional, nullable)
- `type` (enum, optional, nullable, deprecated)
  - Allowed values: `FLAT`, `FLAT_TOP_UP`, `TIERED`, `TIERED_TOP_UP`, `TOP_TIERED`, `STAIR_STEP`, `STAIR_STEP_TOP_UP`, `FIXED`, `FLEXIBLE`, `PASS_THROUGH`, `NONE`
- `pricing_type` (enum, optional, nullable, deprecated)
  - Allowed values: `FLAT`, `FLAT_TOP_UP`, `TIERED`, `TIERED_TOP_UP`, `TOP_TIERED`, `STAIR_STEP`, `STAIR_STEP_TOP_UP`, `FIXED`, `FLEXIBLE`, `PASS_THROUGH`, `NONE`
- `bands` (list of PricingItemConfigBand, optional, deprecated)

### PricingItemPricingCurrencyConfig

- `currency` (enum, optional, nullable)
  - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UZS`, `VEF`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`
- `configs` (list of PricingItemConfig, optional, nullable)
- `billing_period_configs` (list of PricingItemBillingPeriodConfig, optional, nullable)
- `fallback_currency` (enum, optional, nullable)
  - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UZS`, `VEF`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`

### PricingItemBillingPeriodConfig

- `billing_period` (Period, optional)
- `configs` (list of PricingItemConfig, optional, nullable)

### SystemOwnershipDetails

- `account_holder_id` (string, optional)
- `balance_account_id` (string, optional)
- `legal_entity_id` (string, optional)
- `store_id` (string, optional)

### BalancePlatformDetails

- `account` (string, optional)
- `authentication` (AuthenticationSettings, optional)

### LegalEntityManagerDetails

- `authentication` (AuthenticationSettings, optional)

### EInvoicingMapping

- `target` (string, optional) — The target field for a UBL Invoice
- `source` (string, optional, nullable) — The source field from a Solvimon Invoice
- `description` (string, optional, nullable) — Optional description for the mapping

### EInvoicingConditionGroup

- `conditions` (list of EInvoicingCondition, optional) — Conditions that determine whether this conditionGroup matches the invoice. All conditions need to match for the group to match

### EInvoiceFileFormat

- `type` (string, optional, nullable) — The format of the eInvoice that can be downloaded
- `description` (string, optional, nullable)

### Meter

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `reference` (string, optional)
- `name` (string, optional, nullable)
- `description` (string, optional, nullable)
- `status` (enum, optional, nullable) — The status of the meter indicating the activity of the meter and the ability to update properties.
  - Allowed values: `DRAFT`, `ACTIVE`, `ARCHIVED`, `DEPRECATED`
- `meter_values` (list of MeterMeterValue, optional, nullable) — The values used as input to calculate billable units, used in the meter.
- `meter_properties` (list of MeterMeterProperty, optional, nullable) — The properties that provide information to give context to an event, used in the meter.

### MeterValue

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `reference` (string, optional)
- `name` (string, optional, nullable)
- `description` (string, optional, nullable)
- `status` (enum, optional, nullable) — The status of the meter value indicating the activity and the ability to update properties.
  - Allowed values: `DRAFT`, `ACTIVE`, `ARCHIVED`, `DEPRECATED`
- `type` (enum, optional, nullable) — The type of the meter value.
  - Allowed values: `NUMBER`, `AMOUNT`

### MeterProperty

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `reference` (string, optional)
- `name` (string, optional, nullable)
- `description` (string, optional, nullable)
- `status` (enum, optional) — The status of the meter property indicating the activity and the ability to update properties.
  - Allowed values: `DRAFT`, `ACTIVE`, `ARCHIVED`, `DEPRECATED`
- `type` (enum, optional, nullable) — The type of the meter property.
  - Allowed values: `NUMBER`, `ENUM`, `STRING`
- `enum_values` (list of string, optional, nullable) — The list of available ENUM values.

### DiscountConditionValue

- `amount` (Amount, optional)

### MeterConditionOperand

- `meter_property` (MeterPropertyCondition, optional)
- `expression` (MeterConditionOperandExpression, optional, nullable)

### ProductItemUsageBased

- `meter_value_calculation_id` (string, optional, nullable) — The linked meter value calculation
- `meter_value_calculation` (MeterValueCalculation, optional, nullable)
- `tiering_meter_value_calculation_id` (string, optional, nullable) — The optional alternative linked meter value calculation for tiering
- `tiering_meter_value_calculation` (MeterValueCalculation, optional, nullable)
- `report_meter_value_calculation_ids` (list of string, optional, nullable) — Optional reporting meter value calculations.
- `conditions` (MeterConditions, optional) — Optional conditions.

### ProductItemCredits

- `credit_type_id` (string, optional, nullable) — The linked meter value calculation
- `credit_type` (CreditType, optional, nullable)

### PricingItemConfigOriginalPricingItemConfig

This property creates a circular reference in the `PricingItemConfig` schema. If you experience any issues with OpenAPI tools related to these circular references, you can try removing this property from the specification.

### PricingItemConfigDetails

- `billing_period` (Period, optional)
- `pricing_type` (enum, optional, nullable)
  - Allowed values: `FLAT`, `FLAT_TOP_UP`, `TIERED`, `TIERED_TOP_UP`, `TOP_TIERED`, `STAIR_STEP`, `STAIR_STEP_TOP_UP`, `FIXED`, `FLEXIBLE`, `PASS_THROUGH`, `NONE`
- `pricing_period` (Period, optional)
- `bands` (list of PricingItemConfigBand, optional)

### PricingItemConfigMeterValueIncludedVolume

- `number` (string, optional, nullable)
- `amount` (Amount, optional)
- `count` (string, optional, nullable)
- `reset_type` (string, optional, nullable)

### PricingItemConfigMeterValue

- `number` (string, optional, nullable)
- `amount` (Amount, optional)
- `count` (string, optional, nullable)

### PricingItemConfigConditions

- `name` (string, optional, nullable)
- `meter_properties` (list of MeterPropertyCondition, optional, nullable)
- `configs` (list of PricingItemConfigConditionsConfigsItems, optional, nullable)

### MeterConditions

- `name` (string, optional, nullable)
- `expression` (MeterConditionExpression, optional)
- `meter_properties` (list of MeterPropertyCondition, optional, nullable, deprecated)

### PricingItemConfigTopUp

- `rollover` (boolean, optional, nullable)

### PricingItemConfigSplitPricing

- `meter_properties` (list of MeterPropertySplitPricing, optional, nullable)

### PricingItemConfigWalletGrant

- `wallet_type_id` (string, optional) — Resource ID of type WALLET_TYPE
- `wallet_type` (WalletType, optional, nullable)
- `amount_grant` (PricingItemConfigWalletGrantAmountGrant, optional)
- `credits_grant` (PricingItemConfigWalletGrantCreditsGrant, optional)
- `expiry_policy` (PricingItemConfigWalletGrantExpiryPolicy, optional)
- `source` (enum, optional, nullable) — What the grant quantity is derived from. Defaults to FIXED. SEAT_POOL multiplies the fixed grant by the purchased seat count and grants it into the shared customer pool. PER_SEAT grants the fixed credits once per occupied seat, restricted to the customer holding that seat, and requires credits_grant.credits.
  - Allowed values: `FIXED`, `SEAT_POOL`, `PER_SEAT`

### PricingItemConfigBand

- `amount` (Amount, optional)
- `percentage` (string, optional, nullable)
- `credits` (Credits, optional)
- `fixed_amount` (Amount, optional)
- `maximum_amount` (Amount, optional)
- `minimum_amount` (Amount, optional)
- `maximum_number` (string, optional, nullable)
- `minimum_number` (string, optional, nullable)
- `block_size` (PricingItemConfigMeterValue, optional)
- `tier_top_bound` (PricingItemConfigMeterValue, optional)

### EInvoicingCondition

- `field` (string, optional) — The field that holds the value to compare against
- `comparator_type` (enum, optional)
  - Allowed values: `EQUALS`, `NOT_EQUALS`, `IN`, `NOT_IN`, `GREATER_THAN`, `GREATER_THAN_OR_EQUALS`, `LESS_THAN`, `LESS_THAN_OR_EQUALS`, `EMPTY`, `NOT_EMPTY`, `CONTAINS`, `NOT_CONTAINS`
- `value` (string, optional) — Value to check the field against. If a Comparator such as 'IN' or 'CONTAINS' is used, this can be a comma separated list of values

### MeterMeterValue

- `id` (string, optional, nullable) — Resource ID of type METER_VALUE
- `object` (MeterValue, optional, nullable)
- `reference` (string, optional, nullable)
- `required` (boolean, optional, nullable)

### MeterMeterProperty

- `id` (string, optional, nullable) — Resource ID of type METER_PROPERTY
- `object` (MeterProperty, optional, nullable)
- `reference` (string, optional, nullable)
- `required` (boolean, optional, nullable)

### MeterPropertyCondition

- `id` (string, optional, nullable) — Resource ID of type METER_PROPERTY
- `reference` (string, optional, nullable)
- `meter_property` (MeterProperty, optional, nullable)
- `value` (string, optional, nullable)
- `values` (list of string, optional, nullable)
[...]
